﻿Imports System.Net
Imports System.Web.Http
Imports System.Web.Http.Cors

Namespace Controllers
    <Authorize>
    <EnableCors("*", "*", "*")> _
    Public Class RestServiceController
        Inherits ApiController

        '<AcceptVerbs("GET")> _
        <HttpGet()> _
        Public Function [Get](ByVal id As Integer?, ByVal kihon1 As String, ByVal kihon2 As String, ByVal kihon3 As String, ByVal kihon4 As String) As List(Of clsSearchResult)
            Dim appl As New ApplWebAPI

            Return appl.GetSearchResult(id, kihon1, kihon2, kihon3, kihon4)
        End Function

        <HttpGet()> _
        Public Function [Get](ByVal id As Integer) As clsKihonData
            Dim appl As New ApplWebAPI

            Return appl.GetData(id)
        End Function


        <HttpPost()> _
        Public Sub Post(ByVal cls As clsKihonData)
            Dim appl As New ApplWebAPI

            appl.PostData(cls)
        End Sub

        <HttpPut()> _
        Public Sub Put(ByVal cls As clsKihonData)
            Dim appl As New ApplWebAPI

            appl.PutData(cls)
        End Sub

        <HttpDelete()> _
        Public Sub Delete(ByVal id As Integer)
            Dim appl As New ApplWebAPI

            appl.DeleteData(id)
        End Sub

    End Class
End Namespace