﻿Imports Microsoft.AspNet.Identity
Imports Microsoft.Owin
Imports Owin
Imports System.Web
Imports System.Web.Http
Imports Microsoft.Owin.Security.OAuth

<Assembly: OwinStartup(GetType(ASPNETIdentityTest.Startup))> 
Namespace ASPNETIdentityTest
    Public Class Startup
        Public Sub Configuration(ByVal app As IAppBuilder)
            Dim config = New HttpConfiguration()

            ConfigureOAuth(app)

            WebApiConfig.Register(config)
            app.UseWebApi(config)

        End Sub

        Public Sub ConfigureOAuth(ByVal app As IAppBuilder)

            Dim OAuthOptions = New OAuthAuthorizationServerOptions() With { _
                .TokenEndpointPath = New PathString("/token"), _
                .AccessTokenExpireTimeSpan = TimeSpan.FromDays(1), _
                .AllowInsecureHttp = True, _
                .Provider = New SimpleAuthorizationServerProvider()
            }


            app.UseOAuthAuthorizationServer(OAuthOptions)
            app.UseOAuthBearerAuthentication(New OAuthBearerAuthenticationOptions)



        End Sub
    End Class

End Namespace
