﻿Imports Microsoft.Owin.Security.OAuth
Imports System.Threading.Tasks
Imports System.Security.Claims

Namespace ASPNETIdentityTest
    Public Class SimpleAuthorizationServerProvider
        Inherits OAuthAuthorizationServerProvider

        Public Overrides Function ValidateClientAuthentication(context As OAuthValidateClientAuthenticationContext) As Threading.Tasks.Task
            context.Validated()

            Return Task.FromResult(Of Object)(Nothing)
        End Function

        Public Overrides Function GrantResourceOwnerCredentials(context As OAuthGrantResourceOwnerCredentialsContext) As Task
            context.OwinContext.Response.Headers.Add("Access-Control-Allow-Origin", New String() {"*"})

            Using repo As New AppUserStore
                Dim user As New AppUser
                user.UserId = context.UserName
                user.Password = context.Password

                Dim appUser = repo.FindByIdAsync(user.UserId).Result

                If appUser Is Nothing OrElse String.IsNullOrEmpty(appUser.UserId) = True Then
                    context.SetError("aaa", "あいうえお")
                    Return Task.FromResult(Of Object)(Nothing)
                End If

                If appUser.Password <> context.Password Then
                    context.SetError("aaa", "あいうえお")
                    Return Task.FromResult(Of Object)(Nothing)
                End If

                Dim i As New ClaimsIdentity(context.Options.AuthenticationType)

                context.Validated(i)
                Return Task.FromResult(Of Object)(Nothing)
            End Using
        End Function
    End Class

End Namespace
